# List provider profile import sources Returns a list of sources where you can import provider profile data from. You can choose a source to import from and select the parameters required for a successful request. Endpoint: GET /providers/profiles/import/sources Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `source` (string) The source of the import to get profiles. Enum: "Npi", "CaqhPo", "AmericanMedicalAssociationPhysician", "AmericanMedicalAssociationPhysicianAssistant" - `sortedBy` (string) Enum: "Name", "Source" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The provider profile import sources in the current page. Example: [{"source":"Npi","name":"string","requiredParameterTypes":["Name"]}] - `items.source` (string) Enum: "Npi", "CaqhPo", "AmericanMedicalAssociationPhysician", "AmericanMedicalAssociationPhysicianAssistant" - `items.name` (string,null) - `items.requiredParameterTypes` (array,null) Enum: "Name", "Npi", "DateOfBirth", "Ssn", "License", "Address", "Education", "BoardCertificationNumber", "Dea", "Certificate", "CaqhId", "ProviderType", "FacilityName", "FacilityAccreditationInfo", "FacilityCmsCertificationInfo", "NccpaBoardCertificateInfo", "Gender" - `items.hasPassThroughFee` (boolean) - `items.supportsReimport` (boolean) - `sortedBy` (string) The property by which the data is sorted. Enum: "Name", "Source" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `sort` (object) The properties and directions the data is sorted by. Example: {"Name":"Asc","Source":"Desc"} - `sort.Keys` (string) Enum: "Name", "Source" - `sort.Values` (string) Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields